Subject: [ipfix-protocol] draft-ietf-ipfix-info-07-pre.txt available

From: Juergen Quittek <[email-masked]>
Date: Wed, 09 Mar 2005 18:38:05 +0100

Dear all,

Please also find an improved version of the IPFIX data model at

<ftp://ftp.netlab.nec.de/pub/internet-drafts/draft-ietf-ipfix-info-07-pre.txt>.

I will post a list of changes compared to the previous version later today.

Thanks,

    Juergen
-- 
Juergen Quittek        [email-masked]       Tel: +49 6221 90511-15
NEC Europe Ltd.,       Network Laboratories        Fax: +49 6221 90511-55
Kurfuersten-Anlage 36, 69115 Heidelberg, Germany   http://www.netlab.nec.de

--On 3/8/05 12:08 AM +0100 Benoit Claise wrote:

> Dear all,
>
> A new version of the IPFIX protocol draft has been compiled.
> As we are in last-call, and as we might discuss some of these already resolved issues this week, allow me to share it with you.
> If you haven't started yet reviewing draft-ietf-ipfix-protocol-08.txt, start with draft-ietf-ipfix-protocol-09.txt as this is much more complete
> You can find the draft at ftp://ftp.netlab.nec.de/pub/internet-drafts/draft-ietf-ipfix-protocol-09.txt
>
> Here is the list of improvement:
[...]

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/

---

From: Juergen Quittek <[email-masked]>
Date: Wed, 09 Mar 2005 21:38:09 +0100

Dear all,

Here is the list of changes applied to the IPFIX info model since version -05.
Below also find the list of still open issues.

Changes from version -05 to -07-pre:
====================================
- Terminology compliant to protocol document
- Added section 2.2  Scope of Information Elements
- added section 2.3  Naming Conventions for Information Elements
- added data type 'macAddress' to section 3.1
- Made introduction of section 4 on Information Element identifiers
  compliant to protocol document
- added new section 5.9 on Component Identifiers
- completed all old 'to be cone' issues in the text
  (and added three new ones)
- solved all 'Editor's notes'
- added several Information Elements:
    - sourceMacAddress
    - postDestinationMacAddr
    - vlanId
    - postVlanId
    - destinationMacAddress
    - postSourceMacAddress
    - fragmentOffsetIpV4
    - lineCardId
    - flowStartDeltaUSeconds
    - flowEndDeltaUSeconds
    - portId
    - meteringProcessId
    - exportingProcessId
    - sourceId
    - flowId
    - templateId
    - wlanChannelId
    - wlanSsid
    - flowStartDeltaUSeconds
    - flowEndDeltaUSeconds
    - flowStartMilliSeconds
    - flowEndMilliMSeconds
    - flowStartMicroSeconds
    - flowEndMicroSeconds
    - flowStartNanoSeconds
    - flowEndNanoSeconds
    - postClassOfServiceIpV6

List of open issues in version -07-pre:
=======================================

   Issues that need discussion:

   o  time base for relative time stamps
      We have time stamp elements that specify the absolute
      time and time stamp elements that specify an offset
      to the time given in the IPFIX message header.
      Currently, the time offset is of type unsigned.
      This implies that the base time in the IPFIX header
      must be older than or equal to the earliest flow
      start time stamp contained in the message.
      Is this the right way to go?
   o  Do we need an Information Element "flowDuration" ?
   o  Shall we have more 'post-' Information Elements for
      middleboxes?

   Editorial issues:

   o  Add reference for USASCII in section 3.1.9
   o  Is GMT the right time base for absolute time types?
      (sections 3.1.10- 3.1.13)
   o  Add and update references section.  Include
        - RFC768, RFC791 RFC792, RFC793, RFC1771, RFC1930,
        - RFC2236, RFC2402, RFC2406, RFC2460, RFC2463, RFC2863,
        - RFC2960, RFC3032
        - 8802-3:2000 ISO/IEC Information Technology - LAN/MAN
        - IEEE Std 802.1Q
        - 802.11: SSID, channel no.
   o  Add description to wlanSsid
   o  Add Information Elements for specific reporting requirements
      (IPFIX-PROTO, section 7:
        - Metering Process Statistics
        - Metering Process Reliability Statistics
        - Exporting Process Reliability Statistics
        - Flow Keys

Thanks,

    Juergen